<?php 
/**
 * @package ProRadio Podcast Importer
 * Scripts
 * */

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/* ADMIN CSS and Js loading
=============================================*/
if(!function_exists('proradio_pimp_scriptss')){
	add_action("admin_enqueue_scripts",'proradio_pimp_scriptss');
	function proradio_pimp_scriptss(){
		wp_enqueue_style( 'proradio_pimp-styles', plugins_url( 'assets/css/admin-style.css' , __FILE__ ), false, PRORADIO_PIMP_VERSION);
		wp_register_script( 'proradio_pimp-admin-script', plugins_url( 'assets/js/admin.js' , __FILE__ ), array('jquery'), PRORADIO_PIMP_VERSION, true);
		wp_localize_script('proradio_pimp-admin-script', 'proradio_pimp_ajax_var', array(
				'url' => admin_url('admin-ajax.php'),
				'nonce' => wp_create_nonce('proradio_pimp-ajax-nonce')
		));
		wp_enqueue_script('proradio_pimp-admin-script'); 
	}
}