<?php 
/**
 * @package ProRadio Podcast Importer
 * 
 * Admin Settings
 * 
 * */

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}



/**
 * =====================================================
 * Menu link
 * =====================================================
 * */
if ( ! function_exists( 'prpimp_settings_page_menu' ) ) {
	add_action( 'admin_menu', 'prpimp_settings_page_menu' );
	function prpimp_settings_page_menu() {

		add_menu_page( 
			'Podcast Importer', 
			'Podcast Importer', 
			'manage_options',
		    'proradio-podcastimport-settings', 
		    null,
			PRORADIO_PIMP_URL.'inc/backend/admin/assets/img/menu-icon.png',
			3
		);
		add_submenu_page(
		    'proradio-podcastimport-settings', // Parent menu slug
		    'RSS Feeds',                   // Page title
		    'RSS Feeds',                   // Menu title
		    'manage_options',                  // Capability
		    'edit.php?post_type=prpimp-task',  // URL to the custom post type archive
		    null                                // Function (set to null if you don't want to display anything else for this link)
		);

		add_submenu_page(
		    'proradio-podcastimport-settings', // Parent menu slug
		    esc_html__('Add new','proradio-podcast-importer'),                   // Page title
		     esc_html__('Add new','proradio-podcast-importer'),                   // Menu title
		    'manage_options',                  // Capability
		    'post-new.php?post_type=prpimp-task',  // URL to the add new podcast
		    null                                // Function (set to null if you don't want to display anything else for this link)
		);
		add_options_page(
			'Podcast Importer', 
			'Podcast Importer', 
			'manage_options', 
			'proradio-podcastimport-settings', 
			'prpimp_settings_page'
		);
	}	
}




