<?php  
/**
* ==================================================
* Ajax import button
* ==================================================
* */
$service = function_exists('prpimp_whmcs_check_service_standalone') ? prpimp_whmcs_check_service_standalone(base64_decode(PRORADIO_PIMP_SERVICE_NAME))     : false;
if( $service ){ $service = strtotime($service) > time(); }
$daily_uses = get_option( 'prpimp_usage_'.date('Y-m-d'), 0 );

?>
<div class="proradio_pimp__row">
	<div class="proradio_pimp__form">
		<div class="proradio_pimp-table-container">
			<table class="form-table" role="presentation">
				<tbody>
					<tr class="proradio_pimp__row">
						<th colspan="2">
							<h2><?php esc_html_e('Import podcasts now', 'proradio-podcast-importer'); ?></h2>
							<?php  
	                    	if( !$service ){
	                    		?>
	                       		<p><?php esc_html_e('With the basic version you can use the instant import maximum 3 times a day' , 'proradio-podcast-importer'); ?> <a href="<?php echo esc_url( prpimp_promo_url()); ?>" target="_blank"><?php echo esc_html( prpimp_promo_text() ); ?></a></p>
	                       		<?php
	                    	} 
							?>
						</th>
					</tr>
					<tr class="proradio_pimp__row">
						<th><?php esc_html_e('Run importer', 'proradio-podcast-importer'); ?>
							<?php if( !$service ){  ?>
								<p><?php  esc_html_e('Daily usage:','proradio-podcast-importer'); echo ' '.esc_html($daily_uses); ?></p>
							<?php } ?>
						</th>
						<td>
							<?php  
							if( $service || $daily_uses < 3 ){
								?>
								<a href="#" class="button button-primary" data-prpimp-ajaximport><?php  esc_html_e('Start now', 'proradio-podcast-importer'); ?></a>
								<span class="data-prpimp-ajaximport-working"><?php esc_html_e('Working, please wait.','proradio-podcast-importer'); ?></span>
								<a href="#" class="button proradio_pimp-ajaxstop right" data-prpimp-ajaxstop><?php  esc_html_e('Stop importing', 'proradio-podcast-importer'); ?></a>
								<?php  
							} else {
								?>
								<a href="<?php echo esc_url( prpimp_promo_url()); ?>" target="_blank" class="button button-primary"><?php  esc_html_e('Get unlimited', 'proradio-podcast-importer'); ?></a>
								<?php
								
							}
							?>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>
<div class="proradio_pimp-progress-container">
	<div class="proradio_pimp-progress-bar">
	
	</div>
</div>
<div class="proradio_pimp-ajax-importer-output">
<!-- Output from importer -->
</div>
