<?php  
/**
 * ==================================================
 * Cron job
 * ==================================================
 * */

?>
	<div class="proradio_pimp__row">
		<form class="proradio_pimp__form" method="post" action="">
			<?php wp_nonce_field('prpimp_cron_nonce_action', 'prpimp_cron_nonce'); ?>
			<div class="proradio_pimp-table-container">
				<table class="form-table" role="presentation">
					<tbody>
						<tr class="proradio_pimp__row">
							<th colspan="2"><h2><?php esc_html_e('Automations', 'proradio-podcast-importer'); ?></h2></th>
						</tr>
						<tr class="proradio_pimp__row">
							<th><?php esc_html_e('Podcast Import Cron', 'proradio-podcast-importer'); ?></th>
							<td>
								 <input type="submit" name="prpimp_enable_cron" value="Activate Cron" class="button button-primary">
            					<input type="submit" name="prpimp_disable_cron" value="Remove Cron" class="button button-secondary">
            					<p>
            						<?php esc_html_e('Enable or disable the automatic import cron job. The time interval can be changed in the settings.', 'proradio-podcast-importer'); ?>
            					<?php 
					            $next_run = wp_next_scheduled('prpimp_run_import');
					            if ($next_run) {
					            	// Convert cron job time to local time
									 // Get WordPress timezone setting
								    $timezone = wp_timezone();
								    
								    // Convert UTC timestamp to local timezone
								    $next_run_local = wp_date('Y-m-d H:i:s', $next_run, $timezone);
									echo '✅ Cron is active. Next run: ' . esc_html($next_run_local);
					            } else {
					                echo '❌ Cron is not scheduled.';
					            }
					            ?>
					            </p>

					            <?php  
								prpimp_display_cron_logs();
								?>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</form>
	</div>
	
