<?php  
/**
 * ==================================================
 * Legal acceptance
 * ==================================================
 * */
if (get_option('prpimp_legal_accepted') !== '1') {
	?>
		<?php include 'header.php';  ?>
		<div class="proradio_pimp__row">
			<form class="proradio_pimp__form" method="post" action="">
				<?php wp_nonce_field('prpimp_legal_nonce_action', 'prpimp_legal_nonce'); ?>
				<div class="proradio_pimp-table-container">
					<table class="form-table" role="presentation">
						<tbody>
							<tr class="proradio_pimp__row">
								<th colspan="2"><h2><?php esc_html_e('⚠️ Legal Notice:', 'proradio-podcast-importer'); ?></h2>
									<p style="font-size:22px;">This plugin allows you to import podcast feeds into your website. Please note that most podcast content is copyrighted. Before importing, ensure you have permission from the podcast owner or that the feed allows redistribution. The plugin developer is not responsible for any copyright violations.</p>
								</th>
							</tr>
							<tr class="proradio_pimp__row">
								<th><?php esc_html_e('Disclaimer', 'proradio-podcast-importer'); ?></th>
								<td>
									<input type="submit" name="prpimp_legal_accept" value="<?php esc_attr_e('I accept','proradio-podcast-importer'); ?>" class="button button-primary">

									<?php  
									if (get_option('prpimp_legal_accepted') !== '1') {
									    echo '<p style="color: red;">You must accept the disclaimer to use this plugin.</p>';
									   
									}
									?>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
			</form>
		</div>
	
	<?php  

    return;
}