<?php  
/**
 * ==================================================
 * Maintenance section 
 * Delete all imported
 * ==================================================
 * */
?>
	<div class="proradio_pimp__row">
		<form class="proradio_pimp__form proradio_pimp__form__delete" method="post" action="" 
		      data-confirm-message="<?php esc_attr_e('Please type DELETE to confirm the action.', 'proradio-podcast-importer'); ?>"
		      data-trash-confirmation="<?php esc_attr_e('Are you sure you want to move all imported podcasts to the trash?', 'proradio-podcast-importer'); ?>">
		    <?php wp_nonce_field('prpimp_delete_nonce_action', 'prpimp_delete_nonce'); ?>
		    <div class="proradio_pimp-table-container">
		        <table class="form-table" role="presentation">
		            <tbody>
		                <tr class="proradio_pimp__row">
		                    <th colspan="2">
		                        <h2><?php esc_html_e('Maintenance', 'proradio-podcast-importer'); ?></h2>
		                    </th>
		                </tr>
		                <tr class="proradio_pimp__row">
		                    <th>
		                        <?php esc_html_e('Delete all imported podcasts', 'proradio-podcast-importer'); ?>
		                        <br>
		                        <small><?php esc_html_e('This action will move all imported podcasts to the trash.', 'proradio-podcast-importer'); ?></small>
		                    </th>
		                    <td>
		                    	<?php  
		                    	$service = function_exists('prpimp_whmcs_check_service_standalone') ? prpimp_whmcs_check_service_standalone(base64_decode(PRORADIO_PIMP_SERVICE_NAME))     : false;
		                    	if( $service ){
		                    		?>
		                       		<input type="text" name="proradio_pimp_confirm_delete" value="" placeholder="<?php esc_attr_e('To confirm and proceed, type','proradio-podcast-importer'); ?> DELETE">
		                        	<input type="submit" name="prpimp_legal_accept" value="<?php esc_attr_e('Delete all','proradio-podcast-importer'); ?>" class="button button-primary" id="prpimp_delete_button">
		                   			<?php
		                    	} else {

		                    		?>
		                    		<p><strong><a href="<?php echo esc_url( prpimp_promo_url()); ?>" target="_blank"><?php echo esc_html( prpimp_promo_text() ); ?></a></strong></p>
											
									<?php  
		                    	}
		                    	?>
		                    </td>
		                </tr>
		            </tbody>
		        </table>
		    </div>
		</form>

	</div>
