<?php 
/**
 * @package ProRadio Podcast Importer
 * 
 * Admin Settings
 * 
 * */

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}



/**
 * =====================================================
 * Form output
 * =====================================================
 * */
if(!function_exists('prpimp_settings_page')){
	function prpimp_settings_page() {
		$user = wp_get_current_user();
		$allowed_roles = array( 'administrator' );
		if (!current_user_can('manage_options') || !array_intersect($allowed_roles, $user->roles ) )  {
			wp_die( esc_html__('You do not have sufficient permissions to access this page.' , 'proradio-podcast-importer') );
		}
		$service = true;
 	?>
 	<div class="proradio_pimp proradio_pimp_settings-framework proradio_pimp_settings-optionspage"><?php  
 		require_once 'header.php';
		$product_id = prpimp_license_expiration_string();
		if(!is_null($product_id) && prpimp_whmcs_check_service_standalone($product_id) ){
		    ?><p>Premium version</p><?php
		} else {
		    ?><p>Free version</p><?php
		}
 		require_once 'top-menu.php';
		require_once 'sections/legal-button.php';
		if (get_option('prpimp_legal_accepted') == '1') {
			require_once 'sections/cron-button.php';
			require_once 'sections/ajax-button.php';
			require_once 'sections/settings-form.php';
			require_once 'sections/license-info.php';
			require_once 'sections/maintenance.php';
		}
		?></div>

		<div class="proradio_pimp-version">
		
		</div>

		<?php

		return;	
	}
}