<?php
/**
 * Plugin Name: Pro.Radio Podcast Importer - Standalone
 * Description: Import podcasts from external RSS feed
 * Plugin URI: http://pro.radio
 * Author: Qantum Themes SL
 * Version: SA.1.3
 * Text Domain: proradio-podcast-importer
 * Domain Path: /languages
 * License: GPLv3
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 */


/**
 * =================================================================================
 * Constants
 * =================================================================================
 */
define( 'PRORADIO_PIMP_PLUGIN_ACTIVE', true);
define( 'PRORADIO_PIMP_BASE_DIR', dirname(__FILE__));
define( 'PRORADIO_PIMP_BASE_URL', plugin_dir_url(__FILE__));
define( 'PRORADIO_PIMP_VERSION', 'SA.1.3' );
define( 'PRORADIO_PIMP_FILE__', __FILE__ );
define( 'PRORADIO_PIMP_PLUGIN_BASE', plugin_basename( PRORADIO_PIMP_FILE__ ) );
define( 'PRORADIO_PIMP_PATH', plugin_dir_path( PRORADIO_PIMP_FILE__ ) );
define( 'PRORADIO_PIMP_URL', plugin_dir_url( PRORADIO_PIMP_FILE__ ));

/**
 * =================================================================================
 * Files inclusion
 * =================================================================================
 */
require_once( PRORADIO_PIMP_PATH . 'inc/textdomain.php');
require_once( PRORADIO_PIMP_PATH . 'inc/backend/params.php');
require_once( PRORADIO_PIMP_PATH . 'inc/backend/metaboxes/meta_box.php');
require_once( PRORADIO_PIMP_PATH . 'inc/backend/admin/admin.php');
require_once( PRORADIO_PIMP_PATH . 'inc/importer/importer.php');
require_once( PRORADIO_PIMP_PATH . 'inc/enclosure-fix.php');
