<?php 
/**
 * @package ProRadio Podcast Importer
 * 
 * Admin Settings
 * 
 * */

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
?>
<div class="prbulletin-content proradio_pimp_bulletin-content">
	<div class="">
		<h3>WANT MORE FOR YOUR RADIO DEDICATIONS?</h3>
		<h2>Unlock the Premium Version</h2>
		<ul>
			<li><i class="icon dashicons-before dashicons-yes" aria-hidden="true"></i>More design options</li>
		</ul>
		
		<p><strong><?php esc_html_e('Get 50% OFF with the coupon RADIOLOVE', 'proradio-podcast-importer'); ?></strong></p>
		<p><a href="https://pro.radio/dedications/" class="proradio_pimp_bulletin-btn" target="_blank"><?php esc_html_e('More info', 'proradio-podcast-importer'); ?></a></p>
	</div>
</div>
<style>
	.proradio_pimp_bulletin-page { max-width: 1240px; margin: 20px auto 0 auto; padding: 20px 30px 0 10px; max-height: 0px; transition: max-height 1s ease; transition-delay: 2s; overflow: hidden; }

.proradio_pimp_bulletin-page.loaded { max-height: 600px; }

.proradio_pimp_bulletin-content { padding: 30px 30px 360px !important; background: white; border-radius: 4px; box-shadow: 0 10px 15px rgba(0, 0, 0, 0.1); background-image: url(./img/promo.jpg); background-repeat: no-repeat; background-position: bottom right; margin-bottom: 70px; }

.proradio_pimp_bulletin-content ul li icon { color: blue; }

@media (min-width: 1200px) { .proradio_pimp_bulletin-content { padding: 30px !important; } }

.proradio_pimp_bulletin-content h2 { font-size: 35px; text-transform: uppercase; font-family: 'Barlow', sans-serif; font-weight: 700; font-style: italic; margin: 0 0 0.2em 0; text-shadow: 3px 3px 0px #fff; line-height: 1em; }

.proradio_pimp_bulletin-content p { font-size: 20px; margin: 0.2em 0; }

.proradio_pimp_bulletin-btn { border: 0; font-style: inherit; margin: 10px 0 0 0; vertical-align: baseline; box-sizing: border-box; display: inline-block; fill: #fff; text-align: center; transition: all .3s; outline: 0; text-decoration: none; font-family: 'Barlow',sans-serif; font-weight: 700; line-height: 1; text-transform: uppercase; letter-spacing: 1px; color: #fff; border-width: 2px; font-size: 18px; border-radius: 80px; padding: 14px 35px; background-color: #82B440; border-style: solid; border-color: #82B440; }

.proradio_pimp_bulletin-btn:hover { color: #fff; background-color: #84e307; border-color: #84e307; }
</style>