<?php  
/**
 * @package ProRadio Podcast Importer
 * */

if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 *  =============================================
 *  Fix RSS enclosure
 *  =============================================
 */
if(!function_exists('prpimp_add_enclosure_to_feed')){
    add_action('rss2_item', 'prpimp_add_enclosure_to_feed');
    function prpimp_add_enclosure_to_feed() {
        global $post;
        if ('podcast' === get_post_type($post->ID)) {
            $enclosure = get_post_meta($post->ID, 'enclosure', true);
            if ($enclosure) {
                echo '<enclosure url="' . esc_url($enclosure) . '" />';
            }
        }
    }
}